| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMErrorHandler Class Reference Basic interface for DOM error handlers. More... List of all members.
## Public Member Functions
Destructor
virtual | ~DOMErrorHandler ()
| Destructor.
Functions introduced in DOM Level 3
virtual bool | handleError (const DOMError &domError)=0
| This method is called on the error handler when an error occures.
## Protected Member Functions
Hidden constructors
| DOMErrorHandler ()
## Detailed Description Basic interface for DOM error handlers. DOMErrorHandler is a callback interface that the DOM implementation can call when reporting errors that happens while processing XML data, or when doing some other processing (e.g. validating a document). The application that is using the DOM implementation is expected to implement this interface. See also: DOMBuilder::setErrorHandler Since: DOM Level 3 ## Constructor & Destructor Documentation
DOMErrorHandler::DOMErrorHandler | ( |  | ) | `[protected]`
virtual DOMErrorHandler::~DOMErrorHandler | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual bool DOMErrorHandler::handleError | ( | const DOMError & | domError | ) | `[pure virtual]`
  This method is called on the error handler when an error occures. "Experimental - subject to change" Parameters:
  | domError | The error object that describes the error, this object may be reused by the DOM implementation across multiple calls to the handleEvent method.
Returns: If the handleError method returns `true` the DOM implementation should continue as if the error didn't happen when possible, if the method returns `false` then the DOM implementation should stop the current processing when possible. Since: DOM Level 3 The documentation for this class was generated from the following file: DOMErrorHandler.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.